#include<iostream>
using namespace std;
int main()
{
	int n, k, t; 
	long long m;
	cin>>t;
	int nizn[t], nizm[t], nizk[t];
	for(int i=0; i<t; i++)
	{
		cin>>nizn[i]>>nizm[i]>>nizk[i];	
	}
	for(int i=0; i<t; i++)
	{
		if(nizn[i]<nizk[i] || nizn[i]>nizm[i])
		{
			cout<<"Nie"<<endl;
		}
		else if(nizm[i]>=nizn[i]*(nizn[i]+1)/2)
		{
			cout<<"Tak"<<endl;
		}
		else if(nizm[i]>=(nizk[i]-1+(nizn[i]-nizk[i]+1)*(nizn[i]-nizk[i]+2)/2))
		{
			cout<<"Tak"<<endl;
		}
		else cout<<"Nie"<<endl;
		
	}
}